=== debian/changelog ===
reform-tools (1.82-1) unstable; urgency=medium

  * New upstream version 1.82
  * add plymouth-theme-reform package
  * debian/reform-tools.install: do not install everything in /usr/share
  * debian/control: install missing deps of libplymouth-dev
  * debian/rules: DEB_BUILD_MAINT_OPTIONS = hardening=+all

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 18 Nov 2025 18:45:06 +0100
