=== debian/changelog ===
reform-tools (1.83-2) unstable; urgency=medium

  * debian/patches: bin/reform-flash-uboot: fix sha1sum check

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Jan 2026 10:50:45 +0100

reform-tools (1.83-1) unstable; urgency=medium

  * New upstream version 1.83

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Jan 2026 00:17:21 +0100

reform-tools (1.82-4) unstable; urgency=medium

  * debian/control: replace minetest with luanti

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 11 Jan 2026 16:55:32 +0100

reform-tools (1.82-3) unstable; urgency=medium

  * Stop installing /usr/share/xdg-terminal-exec/sway-xdg-terminals.list
    (Closes: #1120109)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 08 Dec 2025 23:52:39 +0100

reform-tools (1.82-2) unstable; urgency=medium

  * enable and start reform-power-daemon by default upon installation and
    upgrade

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 21 Nov 2025 08:22:34 +0100
