=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 Package: reform-tools
 Architecture: all
 Depends:
+ xdg-terminal-exec,
  alsa-utils,
  console-setup,
  debconf,
@@ -137,7 +138,7 @@
  lxpolkit,
  mesa-utils,
  mesa-vulkan-drivers,
- minetest,
+ luanti,
  modemmanager,
  mpv,
  network-manager-gnome,
