=== debian/changelog ===
reform-tools (1.84-1) unstable; urgency=medium

  * New upstream version 1.84
  * drop patches
  * reform-desktop-full: add dependencies on dnsmasq-base, git, ncurses-bin,
    nfs-common

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 28 Jan 2026 02:11:03 +0100
