=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
 Package: reform-tools
 Architecture: all
 Depends:
- xdg-terminal-exec,
  alsa-utils,
  console-setup,
  debconf,
@@ -43,6 +42,7 @@
  rsync,
  systemd,
  tzdata,
+ xdg-terminal-exec,
  ${misc:Depends},
 Recommends:
  bmaptool,
@@ -101,6 +101,7 @@
  blueman,
  bmaptool,
  brightnessctl,
+ dnsmasq-base,
  dunst,
  engrampa,
  espeak-ng,
@@ -121,6 +122,7 @@
  gir1.2-gtk-3.0,
  gir1.2-gtklayershell-0.1,
  gir1.2-notify-0.7,
+ git,
  gnome,
  gnome-disk-utility,
  gnome-firmware,
@@ -135,14 +137,16 @@
  ircii,
  kde-style-breeze,
  libglib2.0-bin,
+ luanti,
  lxpolkit,
  mesa-utils,
  mesa-vulkan-drivers,
- luanti,
  modemmanager,
  mpv,
+ ncurses-bin,
  network-manager-gnome,
  neverball,
+ nfs-common,
  papirus-icon-theme,
  pasystray,
  pavucontrol,
