=== debian/changelog ===
reform-tools (1.85-1) unstable; urgency=medium

  * New upstream version 1.85
  * debian/control: remove essential package ncurses-bin from dependencies

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 20 Feb 2026 22:36:35 +0100
