=== debian/control ===
--- 
+++ 
@@ -143,7 +143,6 @@
  mesa-vulkan-drivers,
  modemmanager,
  mpv,
- ncurses-bin,
  network-manager-gnome,
  neverball,
  nfs-common,
